Subject: Re: [lojban] Re: Back to the GNOME stuff

From: "Adam Raizen" <[email-masked]>
Date: Wed, 16 May 2001 00:53:00 Gmt +2:00

You wrote:

>On Tue, May 15, 2001 at 06:56:19AM -0000, Adam Raizen
wrote:
>> > gunsfe: gunka sefta: desktop
>> > s1 is a surface for working on g2
>> 
>> I think that's a surface of a worker. Maybe more like
'selgunsfe'.
>
>The veljvo could be [se] gunka sefta, but I really don't
think explicitly
>including the optional "sel" is necessary for clarity.

Then that's a difference of philosophy. I try to never
elide rafsi in lujvo, since it's hard to tell whether
the veljvo of the shorter lujvo is really useful in some
circumstance.

>> > * mlumu'uxra: simlu muvdu pixra: animation
>> > p1=m1=s1 is an animation showing p2 with frames
m4
>> > (changed from {mu'uxra})
>> 
>> Animation doesn't really move to somewhere from somewhere
(or even 
>> seem to). I think that it needs to be 'desku' or 'slilu'.
Also, in my 
>> opinion 'simlu' should come second ("desmluxra")
>
>The gismu list itself defines "mlumu'u" as apparent
motion as opposed to
>actually moving from one place to another.
>
>I think that using 'desku' or 'slilu' would be too specific.

The gismu list is a little confused, especially in its
lujvo. (I think that some of them were made before the
lujvo place structure rules came about.) Whenever you
say 'muvdu', you have to have a destination and an origin,
which you don't need with 'desku'. I think that because
of that it works a little better to expand the meaning
of 'desku' rather than 'muvdu' to include animation.

>Everything done in a computer interface is a metaphor
of some sort, and
>'window' is a metaphor that has done rather well over
the years. However, I
>might be willing to concede "samca'o".

I guess I could go for 'samca'o'.

>> > * nermutmi'i: nenri [ke] mucti minji: applet
>> > (program which runs within another program)
>> > mi1=mu1=n1 is an applet for use mi2 running within
program n2
>> > (changed from {cmamutmi'i})
>> 
>> se vasru mutmi'i maybe? ('selvau mutmi'i') I save
'nenri' for 
>> physically inside.
>
>"selvau mutmi'i" as a tanru wouldn't allow access to
the n2 place, and
>"selvaumutmi'i" is also a bit long for how much it comes
up in GNOME.
>
>Also, the "vasru" part implies that the parent program
is just a container for
>other programs, whereas it could do other things.

The 'nenri' part in your version implies that the other
programs are just inside the parent program, so neither
version is really very specific in that respect.

If you really think that 'selvaumutmi'i' is too long
(which it probably is), you could use 'mutmi'i co selvau',
which gives access to the vasru1 place.

>> > * datnymo'i: datni morji: memory
>> > m1 temporarily stores, to be recalled, information
m2=d1 about d2
>> 
>> That's not much different from just 'morji'. Also
it's a memorizer, 
>> not the memory itself, which would be something like
selmojysro
>
>Given the lujvo definition I made, the actual data that
is remembered would be
>"se datnymo'i" and not require a separate lujvo.

Or just 'se morji', but on second thought 'datnymo'i'
might narrow it down to data processing a little better
than just 'morji'.

>> > * fukcrupo'e: [temci ke] [nu] fukpi curmi ponse:
copyright
>> > p1 holds the copyright to p2=nu1 since date t2
>> > (I accompany this with the (C) symbol so I don't
offend a non-
>> Lojbanist FSF
>> > lawyer. Would it be better to leave the copyright
notice in 
>> English?)
>> 
>> I suggest something like 'fukfi'icruzi'e' (zifre lo
nu curmi lo nu 
>> finti lo fukpi) (or maybe just 'fukfi'izi'e') for
copyright holder, 
>> and ka fukfi'icruzi'e for copyright (which I suppose
could be a se 
>> ponse, since it can be bought and sold, though using
ckaji might be a 
>> little more lojbanic)
>
>Funny. I had "fukyzi'e" at first and then changed my
mind for some reason.
>Anyway, I don't think "fukfi'i" is necessary... when
you copy something, it's
>implied that you create another copy. Adding "ka" helps
also.
>
>fukyzi'e: [temci ke] fukpi zifre: copyright holder
>z1=f1 holds the copyright to f2 since date t2

But 'fukpi' doesn't mean 'to copy', it means 'a copy'.
I would interpret 'fukyzi'e' as 'free to be a copy'.

Also, what's the [temci ke] for?

>> > * plixra: pilno pixra: usable picture; 'widget'

>> > pix1=pil2 is a widget used for purpose pil3
>> 
>> Maybe 'selplixra' so that the places line up. How
important is the 
>> pil3 place?
>
>Well, you have to be able to say it's a "maximize widget"
or a "list box
>widget" somehow.

You might be able to do those with tanru, and then it
wouldn't matter whether the purpose is the second or
third place.

mu'o mi'e adam

_________________________________________
Free web based e-mail with Pop access at http://www.newmail.net